\documentclass{book}

\usepackage{preamble}

\title{Conference Notes}

\begin{document}

\maketitle

\chapter{Friday}

\section{Friday Plenaries}

\subsection{Bound-preserving discretizations of conservation laws using high-order finite elements, Dmitri Kuzmin}

IBVP: linear advection;
given velocity field v, bounded domain $\Omega$, initial condition in domain

velocity field is conserved $\nabla \cdot v = 0$, then the size of the solution is bounded between the min and max of the initial condition

$$\sum_{j \in \mathcal{N}_i} m_{ij} \frac{du_j}{dt} = \sum_{j \in \mathcal{N}_i \setminus {i}} k_{ij} (u_j - u_i)$$

discrete upwinding to solve
add artificial diffusion, $d_{ij}$, to $k_{ij}$
$$d_{ij} = \max \set{-k_{ij},0,-k_{ji}}$$
$$\norm{u - u_h} \leq Ch^{1/2}$$
Scheme is safe but diffusive and inaccurate, can remove numerical diffusion without losing bounds

Predictor step:
$$u_i^L = u_i + \Delta t \dot{u}_i^L, \quad m_i \dot{u}_i^L = \sum_{j \in \mathcal{N}_i \setminus \set{i} } (k_{ij} + d_{ij}) (u_j - u_i)$$

Corrector step:
$$\bar{u}_i = u_i^L + \frac{\Delta t}{m_i} \sum_? ??$$

FCT correction improves on example with rotating bodies (limited Galerkin?)

Low-order IDP (invariant domain preserving) schemes

Galerkin space discretization;
semi-discrete IDP approximation, domain-preserving, using discrete upwinding from advection problem;
artificial diffusion comes from new thing, $$d_{ij} = \max \set{\lambda_{ij}^{max} c_{ij}, \lambda_{ji}^{max} c_{ji}}$$

flux-correction, limiting antidiffusive flux;
add antidiffusive fluxes into Galerkin scheme;
doesn't cause convergence problems at steady states;
fluxes can violate constraints, make such that they are 'harmless' by limiting them to the set that doesn't change things

invariant set is very large, so constrain further;
solutions must satisfy local maximum principles (such a subset is called $\mathcal{G}_i$);
luckily, the solution exists in $\mathcal{G}_i$ so we're good

A numerical scheme is called entropy stable if it satisfies a discrete version of the equation $$\partial{\nu(u)}{t} + \nabla \cdot \vec{q}(u) \leq 0$$

put constraints on things

\subsection{Jerome Droniou: High-order methods for linear and non-linear elliptic equations}

\subsubsection{Hybrid high-order method}

High-order in $\mathcal{P}^k$ finite elements: more degrees of freedom; finer mesh

Goals: deal with polytopal meshes; degree $k+1$ accuracy

Poisson equation in weak formulation;
add projectors to integration step, to project to polynomial space on element(s)

\subsubsection{Fully discrete de Rham sequence}

Preserve exactness property at discrete level;
fully computable, fully polynomial

Polynomial is continuous along skeleton, each face has a different polynomial

\subsubsection{High-order schemes for stationnary Stefan/PME models}

Mass-lumping - order 1 consistency?
Exactness of quadrature saves accuracy (?)

\section{Friday Session A (morning)}

\subsection{M. Kollar: NaturaSat}

Satellite monitoring natural habitat network

Time evolution of a closed planar segmentation curve driven by expansion, velocity vector field and curvature, and tangential redistribution (for self-intersection);
velocity vector field: represents edge attracting term, applied to pre-filtered data, calculated at every point of the image;
curvature term: regularization;
expanding term: product of homogeneity function (characterizes regionality of pixels) and edge detector function

\subsection{Seol Ah Park: Segmentation and tracking of macrophages in 2D+time microscopy images}

\subsubsection{Image segmentation}

Otsu thresholding: select image intensity which divides foreground and background;
mean intensity and variance of each class can be calculated from data, so we search for a threshold which minimizes between class variance.

Add special info to thresholding.
Image segmentation: entropy-based thresholding with co-occurrence matrices.
Inspect three directions, right, down and diagonal for pixel intensity.

SUBSURF method can complete missing parts and eliminate background noise.

\subsubsection{Cell tracking}

Set up distance function; search maximum distance

\section{Friday afternoon, Session B}

\subsection{Null-space approach for solving linear least squares with linear constraints, M. Tuma}

Linear least squares problem with constraints $$\min_x \norm{A_s x - b_s}_2$$ such taht $$A_d x = b_d,$$ $$A_s \in \bbr^{m_s \times n}, \quad m_s > n, \quad A_d \in \bbr^{m_d \times n}, \quad m_s \geq \geq m_d, \quad b_s \in \bbr^{m_s}, \quad b_s \in \bbr^{m_d}$$
$A_s$ is large and sparse, $A_d$ represents only a few constraints.
Only a trivial intersection.

Problem with structure and numerics;
sparsity structure is nicer, graph of $A^\top A$.
Obstacles: solving with direct method.

QR method?
Sparsity of $A^\top A$ is a problem (?).

LS with constraints have some classical ways.
GSVD, null-space, direct elimination.
How to use these approaches for large and sparse problems?

Direct elimination:
$$ \begin{bmatrix} A_s \\ A_d \end{bmatrix} \begin{bmatrix} x_1 \\ x_2 \end{bmatrix} = \begin{bmatrix} A_{s1} & A_{s2} \\ A_{d1} & A_{d2} \end{bmatrix} \begin{bmatrix} x_1 \\ x_2 \end{bmatrix}$$
Then $\tilde{A} = A_{s2} - A_{s1} A_{d1}^{-1} A_{d2}$ and use to solve rest of system.
Structural issues in making $\tilde{A}$.
Density in constraints leads to density in $\tilde{A}$.

Null-space approach:
Substitution from constraints based on null space of $A_d$.
$$\min_{x_2} \norm{A_s Z x_2 - (b_s - A_s x_1)}_2$$
where $A_d Z = 0$.
Standard QR can't be used on large sparse problems.
But there are fixes, by finding sparse $Z$.

There are sparse and stable null space bases for wide and dense matrices.

\subsection{Miro Rozloznik: Nearly optimal scaling on the SR decomposition}

SR decomp:
$$A = SR$$
where $R$ is upper triangular and $S$ is semi-simplectic (?).

Matrix $B$ defines inner product, we look for $B$--orthonormal basis of $\text{span}{A}$.
$A = QR$ with $Q^\top B Q = I$.

$S$ is semi-symplectic: $S = (S_1, \dots, S_n) \in \bbr^{2m \times 2n}$.
This decomposition is unique (proof incl.).

\subsection{Petr Tichy: Multiplicative Schwarz method for matrices with a special block structure}

Solve linear systems with matrix having 9 block form.
Discretization of PDEs with finite difference methods.
Sometimes have to refine the domain in specific area, ie. boundary layer problem.

Assume submatrix problems are easier to solve.
Algebraic version of multiplicative Schwarz.
How to bound matrix $T$ from stationnary version of MS?

MS can act as preconditioner.

Need inverses of blocks to bound $\norm{T^k}$.

Suppose blocks are block tridiagonal.
This let's us put some bounds on inverses of blocks.

\subsection{Jan Papez: From a posteriori algebraic error estimator to multilevel iterative solvers with p-robust behaviour}

p-order FEM discretization of Poisson problem.
Arbitrary approx $u_h \in V_h$ and algebraic error.
Substitute any $p_h \in V_h$ for a lower bound.
What is $p_h$ such that there is a related upper bound indp. of $p_h$?

Hierarchy of meshes, shape regularity, quasi-uniformity, strength of refinement (next level elements are of similar sizes), graded mesh hierarchy thanks to bisections.

Step size is important.
Without, becomes multigrid with block Jacobi smoothing.

With proper construction of residual lifting, efficient estimator/bound.
Multilevel solver controls the error.

Residual lifting: V-cycle multigrid.

\subsection{Jakub Sistek: Towards a parallel domain decomposition solver for immersed boundary finite element method}

p4est

level-1 hanging nodes (2:1 rule)

Weak form of a problem, symmetric positive definite form.
Corresponds to a large sparse matrix problem.

Reduce global problem to local problem on interface with implicit Schur complement.

BDDC preconditioner: works with space where continuity between nodes is true only on small areas.
Bilinear form becomes positive definite.
BDDC is less coupled (so cheaper).
Some things become more complicated, ie. null spaces.

\subsection{Jana Kopfova: Long term analysis of nonpharmaceutical interventions in SIR}

New epidemiological model, based on SIR.
Prevention strategies kick off once infections reach critical level then stop below a different threshold.
Called switching system.
Leads to interesting phenomena.

Assume $\beta$ switches between two values, based on current $I(t)$.

\subsection{Toni Schneidereit: Solving ODEs using Artificial Neural Networks}

Goal: solve ODE with simple ANN architecture.
Unclear relation between two fundamental exisitng ANN approaches.

2 input neurons, 5 hidden neurons in single layer, one output neuron.
Various network weights.
Sigmoid activation function to determine value of hidden neurons.
Weights initialized with random values.
Update weights to minimise cost function.

Trial solution methods (TSM): trial solution to ODE, $A(x) + B(x) N(x,\vec{p})$.
$A(x)$ does initial condition, $B(x)$ eliminates $N(x,p)$ at initial point.
Cost function equals zero for exact solution (some kind of residual?).
Initial condition can be added directly to the cost function.

Backpropagation with momentum term, adaptive moment estimation.
Lots of parameters to select.

Interest: difference between trial solution and exact solution.

How robust are the methods wrt weight initialisation?

\section{Friday afternoon plenaries}

\subsection{Eldad Haber: Deep Neurel Nets meets O/PDEs}

DNNs can be solved initially as things we already know about.
Can actually treat same way as ODEs.

Appl: image classification (CFAR10).
Currently 96\% success rate (better than some humans).

Appl: semantic segmentation, ie. self-driving cars, seismic identification of rock layers.

DNN: NN with many layers.
"No one really knows how the most advanced algorithms do what they do. That could be a problem.
We can build these models but we don't know how they work." - MIT review

Input sensory $\to$ Hidden layers

Matrix multiplies input vector, then nonlinear operation, and gets output.
The matrix is essentially a weighted adjacency matrix of a graph (network).

Residual networks (ResNet)
$$Y_{j+1} = Y_j + h K_j^{(2)} \sigma ( K_j^{(1)} Y_j + b_j)$$
with $Y$'s vectors and $K$'s matrices and $\sigma$ is a nonlinear operation, $b_j$ is bias.

Classifiers/training system: $C \approx W Y_N$ with $W$ classifier.

$$\dot{Y} = K^{(2)}(t) \sigma ( K^{(1)}(t) Y + b(t) )$$
Previous equation, now written as an ODE.
It is well-posed?
Is the discretized ODE well-posed?

Most DNN's are not well-posed.
Adding small noise to input completely changes the final ouput.

Stability regions - discrete version is forward Euler, so ResNet is unconditionally unstable as it has purely imaginary eigenvalues.

Optimize first then discretize? Or v.v.

Discrete gradient may not be a descent direction.
Therefore, discretize first and optimize later.
Just be faithful to the ODE when you discretize.

SGD (stochastic gradient descent) is working really well.

Convolution neural networks (CNN): matrices are sparse, convolution.

Free to change equation of neural networks.
DNNs are pretty lossy.
Add second derivative and use leapfrog discretization.
$$Y_{j+1} = 2 Y_j - Y_{j-1} - h^2 K_j^\top \sigma ( K_j Y + b_j )$$
This leads to reversible architecture and requires much less memory.

Semi-implicit methods require partially linear operation on system (IMEX).

Uncertain labels - how to add uncertainty in the training set?

\subsection{Carlos Vazquez: Computational advances in financial mathematics for valuation adjustments}

Derivatives: any financial product that derives its value from the value of something else, ie. first round draft picks in sports.

\chapter{Saturday}

\section{Morning plenaries}

\subsection{Jooyoung Hahn: Finite volume level set method in premixed trubulent combustion engines}

Why polyhedral meshes?
Fewer cells, fixes problems with wedge-shaped tetrahedrons.

\subsection{Xue-Cheng Tai: Deep neural networks for image segmentation}

Discretized version of PDE.
Any mapping can use a NN instead.

Image segmentation: hand image to NN and get out image segmented into different objects/regions.
Can improve by adding information on what the shape looks like: convex, star-shape, etc.

Q: Is this stable? Is stability an issue?
A: Very stable.

Q: How does this method do with holes in the domain? Disconnected domains?
A: Does fine for both.

Star-shape: more general than you think.
$u: \Omega \to \set{0,1}$ is indicator function for shape with centre $c$ then 
$$\nabla u(x) \cdot (x - c) \geq 0$$
implies star-shape.

\section{Morning Session B}

\subsection{Owe Axelsson: Regularization methods}

Symmetric saddle point problem:
$$\mathcal{A} = \begin{bmatrix} A & B^\top \\ B & 0 \end{bmatrix}$$

Block diagonal preconditioner
$$\mathcal{B} = \begin{bmatrix} A & 0 \\ 0 & s \end{bmatrix}$$
where $S = K + B A^{-1} B^\top$.
$A$ is ill-conditioned so we need good approx. of Schur complement.

Upper block precond. (upper triangular block).
Relies on regularized matrices.
Value of 2 arises from proof.

Eigenvalues of preconditioner are either unity or clustered around unity (strongly).

Nonsymmetric saddle point problems:
$$\mathcal{A} = \begin{bmatrix} A & B^\top \\ C & 0 \end{bmatrix}$$
Again, EVs of precond. cluster around unity.
$$\mu r / (1+\mu r)$$
though now complex.

Projection matrix approach to solve augmented matrix systems:
$D [1;1;1;\dots] = A [1;1;1;\dots]$

\subsection{Maya Neytcheva: Numerical solution methods for implicit Runge-Kutta methods of arbitrary high order}

$$y' = A(t)y(t) + g(t)$$
$A$ is lienar system with possibly complex EVs with negative real parts, ie. problem is stable.

Issues: stability of time discretization, high order of accuracy (reduce time steps), methods are sequential in time -> parallel in time?

Linear multisetp methods: Adam Bashforth (explicit); Adam Moulton (implicit); trapezoidal rule (implicit)

Time stability:
A-stable methods, strongly A-stable methods.
Essentially perturbations dissipate over time and don't explode.

Dahlqvist 1963 result;
Axelsson 1969 and Ehle 1968: there exists aribtrarily high order implicit multistep methods that are A-stable.

LGL or LGR with implicit RK.
Only LGR are strongly A-stable. (Q: why?)

Legendre polynomials shifted to [0,1].

\section{Afternoon Session B}

\subsection{Martin Gander: Finite volume schemes and Schwarz methods for anisotropic diffusion image restauration}

Finite volume method (FV4) to deal with anisotropy.
Intiegrate Poisson's equation on control volume $V_i$.
Diffusion is anisotropic, then sometimes there is no good neighbour for integration.

Discrete duality finite volume (DDFV):
introduce diamond cells and additional unknowns.
Primal mesh and dual mesh.
Doubles system size.

Cut domain into subdomains, non-overlapping (Q: why?).

\subsection{Michal Outrata: Optimized Schwarz Methods with low-rank transmission conditions}

Optimal Schwarz: pick optimal amount of normal derivative with DtN operator to add to info transmitted between two domains.
Normal derivative calculated with data within the subdomain.
Expensive, not iterative.

Optimized: add optimal amount of Dirichlet data.

Augment matrix, double size.

Low rank version of matrix.

\subsection{Pierre Marchand: Schwarz methods for the boundary element method}

Boundary integral equations: relate functions on boundary to functions on the domain.
After Galerkin, dense matrices.
Compress these.

\section{Later afternoon Session A}

\subsection{R. Blaheta: Schwarz DD methods for coupled flow and elasticity in porous media}

Hierarchical Schwarz: preconditioner must be written as sum of inner products (????).

\subsection{M. Beres: Numerical methods for hydro-mechanics in standard and disturbed continua}

Continua with fractures:
facture is a limit state of thin subdomain.

\subsection{Jakub Kruzik: Active set expansion strategies in MPRGP}

Active set: constraints are equalities.
Free set: constraints are inequalities.

MPRGP: modified proportioning with reduced gradient projections.
CG step then/or expansion step then/or proportioning step.
Can replace CG/expansion with projected CG.
Then add fallback.

\subsection{S. Domescova: Surrogate accelerated sampling for Bayesian inversion}

Bayesian inversion: find the joint probability distribution of the random vector $z \in \bbr^n$, called the posterior distribution.

\chapter{Monday}

\section{Morning Session B}

\subsection{Gabriele Ciaramella: On a greedy operator reconsctruction algorithm}

Introduced in quantum mechanics, Hamiltonian reconstruction and identification.
$$i \psi(t) = [H + \epsilon(t) \mu] \psi(t), \quad t \in (0,T], \quad \psi(0) = \psi_0$$
Highly nonlinear.
$\mu$ generally unknown, how do we find it?
Plug in control functions, obtain some data.
$$\epsilon \to \psi(T; \mu, \epsilon) \to \psi(\mu,\epsilon): = ( \psi_1 , \psi(T; \mu, \epsilon)$$
Optimize data such that $\mu$ is best over all possible control functions.

Greedy algorithm.
Offline phase: set of control functions, ideally makes the nonlinear least squares problem uniquely solvable, at least locally.
In offline phase one doesn't have access to lab experiments.
Online phase: perform lab experiments and get data.

Offline phase:
\begin{enumerate}
\item initialization;
\item fitting step, identify defect;
\item compensate for defect.
\end{enumerate}

\subsection{Anna Schlintl: The all-at-once formulation for inverse problems within the Bayesian approach}

Bayesian inverse problems:
a priori information with help of prior distribution.
All-at-once gives model and observation in one system.

Recover information from model given constraints created by observations.
These form a single system.

\subsection{Luca Mechelli: Adaptive reduced basis trust-region method for PDE-constrained parameter optimization}

Find minimizer that depends on (something) subject to some constraints.
Assume twice Frechet-differentiable.
Can split contribution in bilinear form.

Reduce the basis (reduced-basis method).
Need to construct some space with dimension low comared to full order model.
Can be solved very fast compared to full order model.
How to apply?

Need to compute gradient of cost function.
Normally derive adjoint equation.
If we choose primal RB space as ... adjoint solution is not the same as normal.
Idea: introduce correction, augment functional with residual of state equation tested for dual ...
So we get exact gradient in reduced basis.
Called NCD approach.

How to construct RB space?
Standard: offline/online splitting, costly offline with greedy algorithm and finite element solves, online with fast solve.
Adaptive RB methods: alternative of some kind?

Trust-region: justify local approx for which computations are easy; trust region is zone of radius $\delta$ around true solution.

\subsection{Dominik Garmatter: Reduced basis methods for Magnetic resonance electrical impedance tomography}

\subsubsection{MREIT}

Idea: imaging object with set of electrodes around it, cross-section of electrical activity.
Set of boundary data (electrical activity) only.
Severly ill-posed.

Aim: get high res images of conductivity.
There's conductivity inside and background conductivity.

Iteration sequence comes from Maxwell's equations and constraints ensuring positive conductivity.
Approximation the iteration sequence, slightly different vector field using approx solutions.

\subsubsection{RBM}

Forward operator induces a solution manifold.
Aim: construct low-dimensional space approximating solution manifold.
Done by taking snapshots of well-chosen solutions of problem.

Elliptic PDE $\to$ Galerkin projection of PDE.

Residual-based a posteriori error estimator.

\subsection{Tim Keil: Advances for reduced basis methods for PDE-constrained optimization, a non-conforming approach}

Motivation: Quadratic PDE-constrained parameter optimization.
Calculating function evaluations, gradients, etc. can be very expensive because of eval of state equations.
Need model order reduction.
If huge parameter space then problems offline time large.

Full order model: discretize space V with FE mesh.
Reduce state equation and approx reduced dual equation (non-conforming choice of reduced basis).

How to construct basis?
Several ways to merge reduced basis.

Trust region (see earlier).

\subsection{Josua Sassen: Nonlinear reduced bases for the space of discrete shells}

Combine principal geodesic analysis and sparse localized deformation components.

Interpolate, project manifolds.

\section{Afternoon Session A}

\subsection{Lukas Vacek: Traffic flow model on networks using numerical fluxes at junctions}

Solve problem on networks, specifically on junctions.
Conservation law at junctions: incoming flow equals outgoing flow.
Distribute cars to their destinations.
Approx soln by piecewise polynomial function. FEM unsuitable.

Discontinuous Galerkin (DG).
Numerical flux at ends of elements appears in weak formulation.
Each road on network gets this treatment.

At junctions?
\begin{itemize}
\item Maximum possible flow.
\item Numerical flux.
\end{itemize}

Gauss-Legendre quadrature (integration), explicit Euler (time).
Use limiters to prevent more traffic than is possible.

Conclusion: discontinuous solution means dG, junctions means numerical flux.

\subsection{Gergo Ibolya: Numerical soln of 1D viscous Burgers}

$$u_t + u u_x = \sigma u_{xx}$$
$\sigma>0$.
Fluid dynamcis interpretation, traffic flow.
Analytical solution: Cole-Hopf transformation.

Num soln: 
\begin{itemize}
\item advection: inflow implicit/outflow explicit
\item diffusion: Crank-Nicolson
\end{itemize}

\subsection{Klara Jurcakova: Boundary layer flows - challenges for numerical modelling and measurement}

Boundary layer flows:
multiscale problem.

Turbulent flow.
Structures, not chaotic.
Reynolds number: inertial flow breaks laminal order.
Coherent structures, how to find? how to track? how to define?
Building blocks of turbulent flow.
Horseshoe and hairpin vortices.
Subtract mean flow to get structures in data.

Mean flow.

Coherent structures.
Remove inward and outward flow, keep ejection and sweep (?).

\subsection{Richard Liska: Lagrangian Lax-Wendroff methods for hydrodynamics...}

Lagrangian hydrodynamics.

\subsection{Miloslav Vlasak: On robustness of flux reconstructions - discontinuous Galerkin method}

Use Galerkin orthogonality to turn desired semi-norm into proper norm by optimizing over quotient space.

Construct a posteriori estimate.
Can find upper bound on error.

\chapter{Tuesday}

\section{Tuesday Plenaries}

\subsection{Stefan Volkwein: Certified ROM for PDE-constrained Optimization}

Reduced-order modeling (ROM).

Galerkin-based ROM.
Model problem: time dependence, bilinear form, RHS depending on parameter.
Replace test space by finite dimensional space and suppose solution belongs to this space.
Now FD wrt spatial variable.

Evolution equation as side constraint?

\subsection{Alexander Linke: On pressure-robust space discretizations and incompressible high Reynolds number flows}

Consistency error for vortex dominated flows, high Reynolds and incompressible flows.
Triggered by complicated gradient fields (dominant).

$$u_t - \nu \Delta u + (u \cdot \nabla) u + \nabla p = 0$$
$$ \nabla \cdot u = 0$$
$$\nu = 1e-5$$



\end{document}